Bug 51511 - Assertion failed in ld.so when /usr/lib/rpm/find-requires
Assertion failed in ld.so when /usr/lib/rpm/find-requires
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ld.so (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-11 08:58 EDT by Ed Avis
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 12:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Run rpm --rebuild on this to reproduce the bug. The package itself is not important! (1.35 MB, application/x-rpm)
2001-08-11 09:00 EDT, Ed Avis
no flags Details

  None (edit)
Description Ed Avis 2001-08-11 08:58:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010801

Description of problem:
Got a 'BUG IN DYNAMIC LINKER ld.so' message when rebuilding a source RPM. 
It seems that this message happens while find-requires is running. 
Relevant few lines of output from rpm --rebuild:

Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
BUG IN DYNAMIC LINKER ld.so: dl-version.c: 210: _dl_check_map_versions:
Assertion `needed != ((void *)0)' failed!
BUG IN DYNAMIC LINKER ld.so: dl-version.c: 210: _dl_check_map_versions:
Assertion `needed != ((void *)0)' failed!
BUG IN DYNAMIC LINKER ld.so: dl-version.c: 210: _dl_check_map_versions:
Assertion `needed != ((void *)0)' failed!
BUG IN DYNAMIC LINKER ld.so: dl-version.c: 210: _dl_check_map_versions:
Assertion `needed != ((void *)0)' failed!
BUG IN DYNAMIC LINKER ld.so: dl-version.c: 210: _dl_check_map_versions:
Assertion `needed != ((void *)0)' failed!
Requires: allegro = 3.9.37-1mdk_icdoc ld-linux.so.2 liballeg-3.9.37.so
libc.so.6 libdl.so.2 libm.so.6 libpthread.so.0 libX11.so.6 libXext.so.6
/bin/sh libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libpthread.so.0(GLIBC_2.0)
Wrote: /usr/src/redhat/RPMS/i386/allegro-3.9.37-1mdk_icdoc.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/allegro-devel-3.9.37-1mdk_icdoc.i386.rpm

I'm attaching the source RPM to this bug report so you should be able to
reproduce the whole thing.  Sorry, I haven't narrowed it down to a nice
short test case - but rpm --rebuild takes only a couple of minutes to run
on a modern box.

How reproducible:
Always

Steps to Reproduce:
1. Get the source package allegro-3.9.37-1mdk_icdoc.src.rpm.
2. rpm --rebuild allegro-3.9.37-1mdk_icdoc.src.rpm



Actual Results:  Got the assertion failed warnings from ld.so.

Additional info:

I'll attach a file as soon as I work out how.
Comment 1 Ed Avis 2001-08-11 09:00:40 EDT
Created attachment 27395 [details]
Run rpm --rebuild on this to reproduce the bug.  The package itself is not important!

Note You need to log in before you can comment on or make changes to this bug.